﻿@import url('https://fonts.googleapis.com/css2?family=Teko:wght@500&display=swap');

html {
    width: 100%;
    --dark: #151515;
    --primary: #ffb400;
    --mid: #242422;
}

body {
    overflow: auto;
    color: white;
}

textarea:hover,
input:hover,
textarea:active,
input:active,
textarea:focus,
input:focus,
button:focus,
button:active,
button:hover,
label:focus,
.btn:active,
.btn.active {
    outline: 0px !important;
    -webkit-appearance: none;
    box-shadow: none !important;
}


/* Loading */
.sec {
    height: 100%;
    width: 100%;
    min-height: 50vh;
    margin: 0;
    padding: 0;
    font-size: 100%;
    background: #191a1a;
    text-align: center;
}

.Loading {
    margin: 0;
    padding: 0;
    font-family: ‘Arial Narrow’, sans-serif;
    font-weight: 100;
    font-size: 2em;
    color: var(--primary);
    font-weight: 100;
}

    .Loading span {
        position: relative;
        top: 0.63em;
        display: inline-block;
        text-transform: uppercase;
        opacity: 0;
        transform: rotateX(-90deg);
    }

.let1 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.2s;
}

.let2 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.3s;
}

.let3 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.4s;
}

.let4 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.5s;
}

.let5 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.6s;
}

.let6 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.7s;
}

.let7 {
    animation: drop 1.2s ease-in-out infinite;
    animation-delay: 1.8s;
}

@keyframes drop {
    10% {
        opacity: 0.5;
    }

    20% {
        opacity: 1;
        top: 3.78em;
        transform: rotateX(-360deg);
    }

    80% {
        opacity: 1;
        top: 3.78em;
        transform: rotateX(-360deg);
    }

    90% {
        opacity: 0.5;
    }

    100% {
        opacity: 0;
        top: 6.94em
    }
}


.video_wrapper {
    position: relative;
    padding-bottom: 56.25%;
    /* 16:9, for an aspect ratio of 1:1 change to this value to 100% */
}

.viframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

oi::before {
    margin: auto;
}

/*carousel-indicators*/
.carousel-indicators button {
    width: 15px !important;
    height: 15px !important;
    border-radius: 50%;
    border: 2px solid rgba(0, 0, 0, 0.171) !important;
}

.carousel-control-icon {
    background-color: #151515 !important;
    height: 50px !important;
    width: 50px !important;
    border: 15px solid #00000018 !important;
    border-radius: 50%;
}

.carousel-inner {
    clip-path: polygon(0 0%, 100% 0, 100% 95%, 0 99.5%) !important;
    overflow: hidden !important;
    position: relative !important;
}

    .carousel-inner::after {
        content: ' ';
        width: 100%;
        height: 100%;
        background: linear-gradient(0deg, rgba(0,0,0,0.5) 0%, rgba(0,0,0,0) 35%, rgba(0,0,0,0) 100%);
        position: absolute !important;
        top: 0% !important;
        left: 0% !important;
        pointer-events: none;
    }



.carousel {
    clip-path: polygon(0 0%, 100% 0, 100% 97%, 0 100%);
    background-color: var(--primary);
}

.main-clip {
    width: 100%;
    max-height: 75vh;
    object-fit: cover;
}

/*NavBar*/
.navbar {
    border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}


.bg-throgh {
    position: relative;
    height: 100%;
    width: 100%;
    padding-block: 4rem;
    margin-block: 3rem;
    background-color: var(--primary);
    clip-path: polygon(0 8%, 100% 0, 100% 97%, 0 100%);
}

    .bg-throgh::before {
        content: ' ';
        position: absolute;
        width: 100%;
        height: 100%;
        clip-path: polygon(0 10%, 100% 0.5%, 100% 95%, 0 99.5%);
        background-color: var(--mid);
        z-index: -5;
    }

    .bg-throgh > img {
        height: 100%;
        width: 100%;
        clip-path: polygon(0 10%, 100% 0.5%, 100% 95%, 0 99.5%);
        position: absolute;
        object-fit: cover;
        z-index: -5;
        opacity: 0.7;
    }


.divider {
    margin-block: 1.5rem;
}

    .divider span {
        display: inline-block;
        vertical-align: middle;
    }

    .divider .fa {
        font-size: 20px;
        margin: 0 20px;
    }

    .divider .outer-line {
        width: 25%;
        border-bottom: 1px solid #ddd;
    }


.section-header {
   font-size: 2.5em;
   text-transform : uppercase;
}

    .section-header span {
        color: red !important;
    }


.animated-text {
    text-transform: uppercase;
    text-align: center;
    font-family: "Oswald", sans-serif;
    font-weight: 700;
    text-shadow: 0 0 75px #ffb400;
    background: url(../images/animated-text-fill.png) repeat-y;
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    -webkit-animation: aitf 80s linear infinite;
    /* Activate hardware acceleration for smoother animations */

    -webkit-transform: translate3d(0, 0, 0);
    -webkit-backface-visibility: hidden;
}



@-webkit-keyframes aitf {
    0% {
        background-position: 0% 50%;
    }

    100% {
        background-position: 100% 50%;
    }
}


.project-card {
    background-color: white;
    border-radius: 7px;
    overflow: hidden;
    transition: all 0.1s;
}

    .project-card:hover {
        transform: scale(1.05);
        border-radius: 10px;
    }


    .project-card * {
        color: black;
    }

    .project-card .more {
        display: block;
        text-align: center;
        background-color: var(--primary);
        text-decoration: none;
        width: 100%;
        margin-inline: auto;
        border: 0px;
        padding-block: 0.35rem;
        font-weight: 200;
        font-size: 1.25rem;
        transition: all 0.5s;
        text-transform: uppercase;
    }

        .project-card .more:hover {
            background-color: var(--mid);
            color: var(--primary);
            /*letter-spacing: 5px;*/
            font-weight: 600;
        }

.about-us-point {
    background-color: rgba(2, 2, 2, 0.315);
    border-left: 0.5rem solid var(--primary);
}


.about-list {
    list-style-type: none;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
}

    .about-list li {
        white-space: nowrap;
    }

        .about-list li + li::before {
            content: " | ";
            display: inline;
            color: white;
            margin-inline: 0.5rem;
        }


.flip-card {
    padding: 1rem;
    height: 250px;
    perspective: 1000px;
    /* Remove this if you don't want the 3D effect */
}

/* This container is needed to position the front and back side */
.flip-card-inner {
    position: relative;
    width: 100%;
    height: 100%;
    text-align: center;
    transition: all 0.3s ease-in-out;
    transform-style: preserve-3d;
}

/* Do an horizontal flip when you move the mouse over the flip box container */
.flip-card:hover .flip-card-inner {
    transform: rotateY(180deg);
    scale: 1.1;
}


/* Position the front and back side */
.flip-card-front,
.flip-card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-backface-visibility: hidden;
    /* Safari */
    backface-visibility: hidden;
}

/* Style the front side (fallback if image is missing) */
.flip-card-front {
    background-color: var(--dark);
    border-radius: 0.5rem;
    color: #ffb400;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

/* Style the back side */
.flip-card-back {
    background-color: var(--dark);
    border-radius: 0.5rem;
    color: #ffb400;
    transform: rotateY(180deg);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    overflow: hidden;
}

    .flip-card-back img {
        position: absolute;
        top: -30%;
        left: 50%;
        width: 250px;
        height: 250px;
        object-fit: cover;
        opacity: 0.2;
    }

    .flip-card-back > p {
        color: white;
    }


.footer {
    clip-path: polygon(0 10%, 100% 0, 100% 100%, 0% 100%);
    background-color: var(--dark);
    padding-top: 6rem;
}

.facts-footer {
    display: grid;
    grid-template-columns: auto auto;
}

    .facts-footer > div {
        margin-bottom: 1rem;
    }

        .facts-footer > div > h5 {
            color: var(--primary);
        }


.social {
    list-style-type: none;
    display: flex;
    flex-direction: row;
    gap: 0.75rem;
}


.circle-icon {
    color: var(--primary);
    padding: 5px;
    display: flex;
    background-color: transparent;
    border: 2px solid var(--primary);
    border-radius: 50%;
    transition: background-color 0.3s;
}

    .circle-icon:hover {
        background-color: var(--primary);
        color: white;
    }

    .circle-icon svg {
        width: 30px;
        height: 30px;
    }


.list-group {
    list-style-type: none;
}

    .list-group li {
        margin-bottom: 0.5rem;
        font-weight: 100;
    }

        .list-group li a {
            text-decoration: none;
            color: white;
        }

            .list-group li a:hover {
                color: var(--primary);
            }

@media only screen and (max-width: 600px) {
    .flip-card .flip-card-inner {
        transform: rotateY(180deg);
    }
}


body {
    background-color: #fbfbfb;
}

@media (min-width: 991.98px) {
    main {
        padding-left: 240px;
    }
}

/* Sidebar */
.sidebar {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    padding: 58px 0 0;
    /* Height of navbar */
    box-shadow: 0 2px 5px 0 rgb(0 0 0 / 5%), 0 2px 10px 0 rgb(0 0 0 / 5%);
    width: 240px;
    z-index: 600;
}

@media (max-width: 991.98px) {
    .sidebar {
        width: 100%;
    }
}

.sidebar .active {
    color: var(--primary) !important;
    font-weight: 800;
}

.sidebar-sticky {
    position: relative;
    top: 0;
    height: calc(100vh - 48px);
    padding-top: 0.5rem;
    overflow-x: hidden;
    overflow-y: auto;
    /* Scrollable contents if viewport is shorter than content. */
}

.btn-primary {
    background-color: var(--primary) !important;
    border-width: 0px !important;
    color: black !important;
}
